# Uses of Interface
ch.qos.logback.classic.spi.LoggerContextListener

Packages that use LoggerContextListener
Package
Description
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.jmx
ch.qos.logback.classic.jul
Logback <-> java.util.logging (JUL) integration.

## Uses of LoggerContextListener in ch.qos.logback.classic

Methods in ch.qos.logback.classic that return types with arguments of type LoggerContextListener
Modifier and Type
Method
Description
`List<LoggerContextListener>`
LoggerContext.`getCopyOfListenerList()`
Methods in ch.qos.logback.classic with parameters of type LoggerContextListener
Modifier and Type
Method
Description
`void`
LoggerContext.`addListener(LoggerContextListener listener)`
`void`
LoggerContext.`removeListener(LoggerContextListener listener)`

## Uses of LoggerContextListener in ch.qos.logback.classic.jmx

Classes in ch.qos.logback.classic.jmx that implement LoggerContextListener
Modifier and Type
Class
Description
`class`
`JMXConfigurator`
A class that provides access to logback components via JMX.

## Uses of LoggerContextListener in ch.qos.logback.classic.jul

Classes in ch.qos.logback.classic.jul that implement LoggerContextListener
Modifier and Type
Class
Description
`class`
`LevelChangePropagator`
Propagate level changes made to a logback logger into the equivalent logger in j.u.l.